# PointLight

PointLight : `Light`

## Overview

PointLight는 하나의 지점에서 전 방향으로 구 형태의 빛을 퍼뜨리는 조명 객체입니다.

정상적으로 작동하려면 BasePart 또는 Attachment의 자식으로 설정되어야 합니다.

## Properties

### Range

`number`

조명을 투사할 수 있는 범위를 설정하는 속성입니다.

#### Code Samples

```lua
local PointLight = script.Parent

print(PointLight.Range)
```

## Methods

## Events

## See also

{% content-ref url="/pages/cGsZavn2X2duf7ngJaV6" %}
[조명](/korean/manual/studio-manual/object/lighting.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/pointlight.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
